Subject: [Speechsc] Re: Request for review and feedback on draft-ietf-speechsc-reqts-02.txt

From: "Guido Gybels" <[email-masked]>
Date: Fri, 20 Dec 2002 15:18:41 +0000

Dear all,

David Oran <[email-masked]> wrote:

<<It is of considerable importance that the needs of speech/hearing impaired 
and other handicapped users be accommodated in these requirements.>>

We obviously welcome the commitment from this group with regard to ensuring that deaf and hard of hearing people will be considered in this work. Below, you'll find a number of initial comments/questions I have. We need to do a more proper analysis of the draft, but time has been lacking over here. However, in the mean time, we would like to present the following already:

On 3.3 Avoid Duplicating Existing Protocols:
"   As a corollary to this, the SPEECHSC should not require a separate
   protocol to perform functions that could be easily added into the
   SPEECHSC protocol (like redirecting media streams, or discovering
   capabilities), unless it is similarly easy to embed that protocol
   directly into the SPEECHSC framework."
It is not really clear to me what this means, i.e. what the repercussions or the scope is of the statement above. I would be grateful if somebody could give me some feedback on that.

4.2.4 Document Type Indication
What is a "document type" in this context? The content is a stream, so what is meant here? Does it refer to informational content versus technical specification?

4.5 Playback Controls
"The ability to increase and decrease playout volume." 
How important is this? The only time I can see this being useful is if your equipment has no volume control, which doesn't seem particularly likely. Far more likely is that the volume of the audio stream would be controlled by the user. Especially if users are deaf or hard of hearing, they might need to be able to control the audio at their end, even if they use it in a way that would be meaningless to hearing people.

5.1 Requesting Automatic Speech Recognition
"   The SPEECHSC framework MUST allow a Media Processing Entity or
   Application Server to request the ASR Server to perform automatic
   speech recognition on an RTP stream, returning the results over
   SPEECHSC."
Does this mean that the media stream resulting from the ASR is routed over SPEECHSC, or does it mean that the results of the request (i.e., a success or failure indication) is returned over SPEECHSC?

5.5 Input Capture
One must not compromise the privacy of the users of SPEECHSC based services.

6.1 Requesting SI/SV
"   The SPEECHSC framework MUST allow a Media Processing Entity to
   request the SI/SV Server to perform speaker identification or
   verification on an RTP stream, returning the results over
   SPEECHSC."
Presumably, the results of the identification/validation are returned
over SPEECHSC?
In the context of SIP: In the event of a speech impaired user, who
would prefer using an outbound text stream, how would he, as a
"speaker", be identified or verified? Is there some sort of
pass-through to another protocol to identify/verify him?

Something that might not be covered by the document is the concept of synchronising streams. Let A be a deaf person, and B a
hard-of-hearing person. A communicates only via text, and B via a lipspeaking avatar in conjunction with an audio stream. B thus has two
inbound media streams. These streams must be tightly synchronised in order to be useful to B.
Another possible problem is content description on an informational level ("Resource Management" paragraph in RFC3351): again, assuming for example that a TTS stream is coming in, the user agent would need to be able to identify that stream as TTS as opposed to natural voice in he/she would want to use a lipspeaking avatar with it for instance (the avatar might not be able to function on a TTS stream if it was modeled on a natural voice and extracts features that are not present in the TTS stream). I can think of a number of other occasions where content identification is required (including resource management in transcoding services), yet that issue seems to be unresolved so far.

References:
[2]'s URL (http://www.w3.org/TR/WD-speech-synthesis-20021202) returns a 404

Some language issues (with some reservation since I'm not a native English speaker!)

1. Introduction
"This requirements document limits its focus on..."
should probably be:
"This requirements document limits its focus to..."

"In particular, they mix the semantics of existing protocols yet are
lose enough..."
should be
"In particular, they mix the semantics of existing protocols yet are
close enough..."

4.2.2 SSML
"SSML[3]" should be "SSML [2]"

4.6 Session Parameters
I assume "must" should be MUST?

5.2 XML
"The Speechsc framework assumes that all ASR servers support thh..."
should be
"The SPEECHSC framework assumes that all ASR servers support the..."

5.3.1 Grammar Specification
"The Speechsc framework" should be "The SPEECHSC framework"

5.3.3 Grammar Sharing
"The Speechsc framework" should be "The SPEECHSC framework"

6.4 Input Capture
Again, capturing input streams could compromise the privacy of people
using SPEECHSC-enabled technologies.

HTH, Marry Christmas and a Happy New Year to all of you,

Guido

Guido Gybels
RNID, Head of ICT
[email-masked]
Tel +44(0)20-7294 3713
Fax +44(0)20-7296 8069
---
Royal National Institute for Deaf People
19-23 Featherstone Street
LONDON EC1Y 8 SL
Phone 020-7296 8000
TextPhone 020-7296 8001
Fax 020-7296 8199

************************************************************************
This email and any files transmitted with it are confidential
and intended solely for the use of the individual or entity to
whom they are addressed. Any views or opinions expressed
are solely those of the author and do not necessarily represent
RNID policy.

If you are not the intended recipient you are advised that any
use, dissemination, forwarding, printing or copying of this
email is strictly prohibited.

If you have received this email in error please notify the RNID
Helpdesk by telephone on: +44 (0) 207 296 8282.

The Royal National Institute for Deaf People  
Registered Office 19-23 Featherstone Street 
London EC1Y 8SL No. 454169 (England)
Registered Charity No. 207720
************************************************************************

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc